<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Services\KafkaConsume1.cs" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Confluent.Kafka" Version="2.12.0" />
    <PackageReference Include="MongoDB.Driver" Version="3.5.2" />
    <PackageReference Include="NLog" Version="6.0.7" />
    <PackageReference Include="NLog.Schema" Version="6.0.7" />
    <PackageReference Include="NPOI" Version="2.7.5" />
    <PackageReference Include="RestSharp" Version="113.0.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\CommonEntity\CommonEntity.csproj" />
    <ProjectReference Include="..\CommonTools\CommonTools.csproj" />
  </ItemGroup>

</Project>
